Skip to main content
POST
Cancel a trigger execution

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the trigger execution

Response

200 - application/json

The cancelled TriggerExecution object, finished with reason User cancelled the execution

id
string
required

The ID of the trigger execution

trigger
string
required

The ID of the trigger (expandable to the full trigger object)

event
string | null
required

The ID of the tracked event that created the execution (expandable to the full event object). null for executions created by internal events

customer
string
required

The ID of the customer executing through the trigger (expandable to the full customer object)

scheduled_at
string | null
required

The scheduled time for the next step of the trigger execution

step_count
integer
required

The index of the next step of the trigger to execute

current_step_id
string | null
required

The ID of the current step

status
enum<string>
required

The status of the execution

Available options:
pending,
in_progress,
retrying,
finished,
failed,
stopped
failed_at
string | null
required

The time when the execution failed

failed_reason
string | null
required

The reason for failure

finished_at
string | null
required

The time when the execution finished

finished_reason
string | null
required

The reason for finishing

stopped_at
string | null
required

The time when the execution was stopped

started_at
string | null
required

The time when the execution started processing in ISO 8601 format

created_at
string
required

The time the execution was created โ€” i.e. when the customer was enrolled in the trigger โ€” in ISO 8601 format